#import <iostream>
#import <cmath>
#import <string>
using namespace std;

int main(){
    string t, s;
    cin >> t >> s;
    int lt = t.length();
    int ls = s.length();
    if(s == "ab"){
        int a = 0;
        int b = 0;
        for(int i = 0; i < lt; i++){
            char slovo = t[i];
            if(slovo == 'a'){
                a++;
            }else if(slovo == 'b'){
                b++;
            }
        }
        int uk = a + b;
        int m = lt;
        int z = 0;
        int poz = 0;
        int brojac_a = 0;
        int brojac_b = 0;
        
        for(int i = 0; i < lt; i++){
            char slovo = t[i];
            if(slovo == 'a'){
                brojac_a++;
            }else if(slovo == 'b'){
                brojac_b++;
                if(brojac_a + b - brojac_b < m){
                    m = brojac_a + b - brojac_b;
                    poz = i;
                }
            }
        }
        if(m == lt){
            cout << 0 << endl << t;
        }
        else{
            for(int i = 0; i < lt; i++){
                if(i <= poz){
                    if(t[i] == 'a'){
                        t[i] = '*';
                    }
                }else{
                    if(t[i] == 'b'){
                        t[i] = '*';
                    }
                }
            }
            cout << m << endl << t; 
        }
    }else{
        int broj_zvezdica = 0;
        int broj_a = 0;
        for(int i = 0; i < lt; i++){
            if(t[i] == s[0]){
                broj_a++;
                if(broj_a >= ls){
                    t[i] = '*';
                    broj_zvezdica++;
                }
            }
        }
        cout << broj_zvezdica << endl << t;
    }
}